%define name	ocaml-libvirt
%define version	0.4.4.2
%define release	%mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	OCaml bindings for libvirt
License:	LGPL
Group:		Development/Other
URL:		http://libvirt.org/ocaml/
Source:	    http://libvirt.org/sources/ocaml/%{name}-%{version}.tar.gz	
Patch:      ocaml-libvirt-0.4.4.2-install-flags.patch
BuildRequires:	ocaml
BuildRequires:  findlib
BuildRequires:	libvirt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
ocaml-libvirt are OCaml bindings for libvirt, allowing you to write OCaml
programs and scripts which control virtualisation features. Some things which
you might want to do with ocaml-libvirt:

* Monitor performance of virtual machines
* Pause and resume virtual machines according to demand
* Provision new virtual machines automatically for customers
* Configure how virtual machines are networked together

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	libvirt-devel
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files needed to build applications
using %{name}.

%prep
%setup -q
%patch -p 1

%build
%configure2_5x
%make all
%make opt

%install
rm -rf %{buildroot}
install -d -m 755 %{buildroot}/%{ocaml_sitelib}
make install-opt \
    OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}" \
    DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README TODO.libvirt ChangeLog COPYING COPYING.LIB
/usr/bin/mlvirsh
%dir %{ocaml_sitelib}/libvirt
%{ocaml_sitelib}/libvirt/*.cmi

%files devel
%defattr(-,root,root)
%{ocaml_sitelib}/libvirt/*
%exclude %{ocaml_sitelib}/libvirt/*.cmi



%changelog
* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4.2-1mdv2009.0
+ Revision: 271601
- import ocaml-libvirt


* Wed Aug 13 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.4.2-1mdv2009.0
- first mdv release 
